%define upstream_name    Search-GIN
%define upstream_version 0.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Generalized Inverted Indexing for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Search/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Stream::Bulk::Util)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Moose) >= 0.890.0
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Types::Set::Object)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Scope::Guard)
BuildRequires: perl(Set::Object)
BuildRequires: perl(Test::Deep::NoTest)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::TempDir)
BuildRequires: perl(Test::TempDir::Tiny)
BuildRequires: perl(constant)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(ok)
BuildRequires: perl(overload)
BuildArch:  noarch

%description
This is used by the KiokuDB manpage for custom indexing.

More documentation will be released shortly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.110.0-7.mga9
+ Revision: 1810882
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.110.0-6.mga8
+ Revision: 1515861
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.110.0-5.mga7
+ Revision: 1300188
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-3.mga6
+ Revision: 1033017
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.110.0-2.mga6
+ Revision: 967316
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.110.0-1.mga6
+ Revision: 848661
- update to 0.11
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-2.mga5
+ Revision: 686178
- Mageia 5 Mass Rebuild

* Tue Jul 15 2014 sander85 <sander85> 0.90.0-1.mga5
+ Revision: 653065
- update to 0.09

* Fri Oct 18 2013 umeabot <umeabot> 0.80.0-3.mga4
+ Revision: 514595
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 372554
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 16 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 52697
- update to 0.08

* Wed Jan 26 2011 jquelin <jquelin> 0.70.0-2.mga1
+ Revision: 40985
- mageia rebuild
- imported package perl-Search-GIN

